gliv(1)

NAME
gliv - An OpenGL Image Viewer

SYNOPSIS
gliv [OPTIONS]... [FILES]...

DESCRIPTION
gliv uses gdk-pixbuf to load images and OpenGL to render them. It allows to do some moving, rotating, zooming and slide show.

OPTIONS
The options are first set to their default values, "off" for flags, then read either from ~/.glivrc or /etc/glivrc or a configuration file specified on the command line, and finally read from the command line.
Omitting the argument for an option that takes an "on|off" argument (flags) is like giving it "on", so --foo is the same as --foo=on if foo is an on|off flag.

-h, --help
    Print help and exit.

-V, --version
    Print version and exit.

-a, --add-all[=on|off]
    Add all files in the directory. With this option, when you open a file on the command line or with the open dialog, all others files in the directory are added as well.

-R, --recursive[=on|off]
    Recursive directory traversal. If gliv tries to load a direcory, it will also load every image all its subdirectories.

-S, --sort[=on|off]
    Show images in sorted order. The images list will be sorted before the slide show.

-s, --shuffle[=on|off]
    Show images in random order. The images list will be shuffled before the slide show.

-F, --force-load[=on|off]
    Try to load every file. When loading a file, the loader is chosen according to the filename extension in order to optimize the loading time. If the extension is unknown, the file is ignored, with this option gliv will always try to load the file.

-C, --client[=on|off]
    Connect to a running gliv, appending to the list. With this option, gliv will open the files passed in the arguments in the gliv server window. It can also be used with the -0 option. The gliv server is the latest launched gliv or the one which has been chosen using the Options menu.

-c, --client-clear[=on|off]
    Connect to a running gliv, replacing the list. This is like the --client option except that the specified list on the client will replace the list on the server instead of being appended to.

-e, --build-menus[=on|off]
    No images menu at startup. Disabling the images menus creation at startup makes it faster, especially with many files on the command line.

-g, --glivrc[=FILE]
    Use this configuration file or none. Specify it to disable loading of the rc file. With a filename as argument it will use it as a configuration file.

-w, --slide-show[=on|off]
    Start the slide show immediately. This way you will not have to start it manually from the menu.

-0, --null[=on|off]
    Read null-terminated filenames. This can be used with "find -print0" or with "tr '\n' '\0'" when you have a very long list of filenames to pass to gliv. Unlike xargs(1) it allows an unlimited number of filenames.

-o, --collection[=FILE]
    Output a collection. With this option, gliv creates a collection from the loaded files and outputs it to stdout or in the specified file.

-G, --geometry=GEOMETRY
    Initial window geometry. This option can be used to specify the position and dimension of the gliv window. It expects a geometry argument in the XParseGeometry(3X11) format like: 640x480+20-30 for example.

COLLECTIONS
Starting with version 1.8, gliv supports a file format called "GLiv collection". It contains an images list and the associated thumbnails, this way, when you load a collection the images menus rebuilding is faster since it does not have to make thumbnails.
gliv supports also transparent decompression, so the collections can be compressed in bzip2, gzip or compress(1) provided that you have the corresponding decompressor.

CONTROLS
ESC, q : Quit
f : Full-screen/window
+/=/- : Zoom in/in/out
n/p : Next/previous image
Pause : Start/stop the slide show
l : Reduce the image to the window
M : Maximize the image to the window
m : Make the image fit the window
r : Reset position and size
b : Toggle display of the menu bar
i : Toggle display of the info bar
s : Toggle display of the scrollbars
a : Toggle display of the alpha checks
h : Toggle display of the help box
w : Toggle display of floating windows
o : Display the open dialog
g : Display the image selector
t : Display the options dialog
d : Hide the cursor
u : Undo
y : Redo
c : Clear the history
Delete : Delete the current file
C-up : Rotate by +90 degrees
C-down : Rotate by -90 degrees
C-left : Rotate by +0.1 degree
C-right: Rotate by -0.1 degree
z : Horizontal flip
e : Vertical flip
The first mouse button and the arrow keys will move the image unless the Control key is pressed. In which case the image will be rotated around the window center.
The mouse wheel zooms the image, and when you hold its button pressed at the same time it switches to the neighbouring image.
You can also zoom by dragging the mouse vertically while holding Shift and the first button.
Space and Backspace act like n and p.
Draw a rectangle with the third button and gliv will zoom in it.

FILE
~/.glivrc - This file is absolutely not mandatory.

AUTHOR
Guillaume Chazarain <guichaz@gmail.com>
See http://guichaz.free.fr/gliv